JUCE

- Main Page
- Related Pages
- Topics
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | List of all members
MidiMessage::VariableLengthValue Struct Reference
juce_audio_basics » midi

Holds information about a variable-length value which was parsed from a stream of bytes. More...

`#include <juce_MidiMessage.h>`

## Public Member Functions
| VariableLengthValue ()=default
| VariableLengthValue (int valueIn, int bytesUsedIn)
bool | isValid () const noexcept

## Public Attributes
int | value = 0
int | bytesUsed = 0

## Detailed Description

Holds information about a variable-length value which was parsed from a stream of bytes.

A valid value requires that `bytesUsed` is greater than 0.

## Constructor & Destructor Documentation

## ◆ VariableLengthValue() [1/2]

MidiMessage::VariableLengthValue::VariableLengthValue | ( |  | ) |
| default

## ◆ VariableLengthValue() [2/2]

MidiMessage::VariableLengthValue::VariableLengthValue | ( | int | valueIn,
|  | int | bytesUsedIn )

## Member Function Documentation

## ◆ isValid()

bool MidiMessage::VariableLengthValue::isValid | ( |  | ) | const
| noexcept

## Member Data Documentation

## ◆ value

int MidiMessage::VariableLengthValue::value = 0

## ◆ bytesUsed

int MidiMessage::VariableLengthValue::bytesUsed = 0

The documentation for this struct was generated from the following file:

- juce_MidiMessage.h